# Interface SwiftcPlatformToolChain

All Superinterfaces:
  `NativePlatformToolChain`

@Incubating public interface SwiftcPlatformToolChain extends NativePlatformToolChain
Swiftc specific settings for the tools used to build for a particular platform.

Since:
  4.1

## Method Summary

Modifier and Type
Method
Description
`CommandLineToolConfiguration`
`getLinker()`
`CommandLineToolConfiguration`
`getSwiftCompiler()`

### Methods inherited from interface NativePlatformToolChain

`getPlatform`

## Method Details

### getSwiftCompiler

CommandLineToolConfiguration getSwiftCompiler()

### getLinker

CommandLineToolConfiguration getLinker()